Bug 841036 - [abrt] system-config-firewall-1.2.29-7.fc17: locale.py:539:setlocale:Error: unsupported locale setting
[abrt] system-config-firewall-1.2.29-7.fc17: locale.py:539:setlocale:Error: u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:7f9e4c203e8151b57bc8cf91f12...
:
: 907057 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 19:36 EDT by Anindya
Modified: 2013-08-01 08:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anindya 2012-07-17 19:36:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/system-config-firewall
executable:     /usr/bin/system-config-firewall
kernel:         3.4.4-5.fc17.x86_64
time:           Wed Jul 18 05:01:51 2012
uid:            1000
username:       Anindya

backtrace:
:locale.py:539:setlocale:Error: unsupported locale setting
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-firewall", line 35, in <module>
:    import fw_config
:  File "/usr/share/system-config-firewall/fw_config.py", line 22, in <module>
:    locale.setlocale(locale.LC_ALL, "")
:  File "/usr/lib64/python2.7/locale.py", line 539, in setlocale
:    return _setlocale(category, locale)
:Error: unsupported locale setting
:
:Local variables in innermost frame:
:locale: ''
:category: 6

comment:
:I tried to open the Firewall option from Applications-> Others-> Firewall. But then it suddenly showed me this bug.
:When I tried to reopen it, then it did not show any bug, but it did not open. It showed, "Starting Firewall..." and then it was gone. Nothing happened.

smolt_data:
:
:
:General
:=================================
:UUID: a365917d-f20a-4e0e-99ca-72dde8d6514a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: [Invalid UTF-8]
:Platform: x86_64
:BogoMIPS: 4789.40
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 3903
:System Swap: 5951
:Vendor: TOSHIBA
:System: Satellite C640 PSC2UG-00P001
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4473:65310) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4473:64752) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4473:65310) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4473:65310) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:43:5199:29043) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(6505:8290:4473:65310) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(32902:7213:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4473:65310) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4473:65310) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_anindya-lv_root / ext4 4096 4096 13081025 11581481 10926121 3276800 3125128 3125128
:/dev/sda1 /boot ext4 1024 1024 508644 423906 398306 128016 127670 127670
:/dev/mapper/vg_anindya-lv_home /home ext4 4096 4096 107207764 78919935 73553356 26836992 26822350 26822350
:
Comment 1 Thomas Woerner 2012-07-18 03:48:43 EDT
There seems to be a problem with your language setting. Even smolt reports this:
:Language: [Invalid UTF-8]

What is the content of LANG? Use: echo $LANG
Comment 2 Jiri Popelka 2013-02-04 06:09:50 EST
*** Bug 907057 has been marked as a duplicate of this bug. ***
Comment 3 udo.rader 2013-02-09 04:38:04 EST
ok, posting to the duplicate bug as well.

If it fails with my locale settings, I think something is really broken ...

---------CUT----------
% locale
LANG=en_US.utf8
LC_CTYPE="en_US.utf8"
LC_NUMERIC="en_US.utf8"
LC_TIME="en_US.utf8"
LC_COLLATE="en_US.utf8"
LC_MONETARY="en_US.utf8"
LC_MESSAGES="en_US.utf8"
LC_PAPER=a4
LC_NAME="en_US.utf8"
LC_ADDRESS="en_US.utf8"
LC_TELEPHONE="en_US.utf8"
LC_MEASUREMENT="en_US.utf8"
LC_IDENTIFICATION="en_US.utf8"
LC_ALL=
---------CUT----------

I can start up the application like this:

---------CUT----------
% LC_ALL=C system-config-firewall
---------CUT----------

but LC_ALL is not set for a reason
Comment 4 udo.rader 2013-02-18 09:33:44 EST
and here another, identical issue with a completely new F18 install:

---------CUT----------
[root@luna ~]# system-config-firewall

(process:15216): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.
Traceback (most recent call last):
  File "/usr/bin/system-config-firewall", line 35, in <module>
    import fw_config
  File "/usr/share/system-config-firewall/fw_config.py", line 22, in <module>
    locale.setlocale(locale.LC_ALL, "")
  File "/usr/lib64/python2.7/locale.py", line 539, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
---------CUT----------

---------CUT----------
[root@luna ~]# locale
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=en_US.utf8
LC_CTYPE="en_US.utf8"
LC_NUMERIC="en_US.utf8"
LC_TIME="en_US.utf8"
LC_COLLATE="en_US.utf8"
LC_MONETARY="en_US.utf8"
LC_MESSAGES="en_US.utf8"
LC_PAPER=a4
LC_NAME="en_US.utf8"
LC_ADDRESS="en_US.utf8"
LC_TELEPHONE="en_US.utf8"
LC_MEASUREMENT="en_US.utf8"
LC_IDENTIFICATION="en_US.utf8"
LC_ALL=
---------CUT----------
Comment 5 Fedora End Of Life 2013-07-04 00:10:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:52:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.